View Issue Details

IDProjectCategoryView StatusLast Update
0001288OpenFOAM[All Projects] Bugpublic2014-12-18 12:26
ReporterdkxlsAssigned Tohenry 
PrioritynormalSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformLinux x86_64OSopenSUSEOS Version12.3
Product Version 
Fixed in Version 
Summary0001288: [ReactingParcel]: Confusing variable naming for 'minParticleMass'
DescriptionAccording to the description in KinematicParcel, 'minParticleMass' denotes the "minimum particle mass".
However, in the ReactingParcel class this quantity is used as parcel, not particle mass. Also the comments in the source code are inconsistent.

The quantity has a rather big influence on spray simulation, with respect to breakup modeling and should hence be clearly defined. At a very least a note should be added in the 'sprayCloudProperties' to clarify this.
TagsLagrangian

Activities

dkxls

2014-05-10 15:30

reporter   ~0003051

Last edited: 2014-05-10 15:31

View 2 revisions

Just to note, the implementation itself is correct, just the naming is confusing.
Meaning, minParticleMass should be named minParcelMass for clarity.

dkxls

2014-12-18 10:41

reporter   ~0003331

This issue is still present in 2.3.1.

henry

2014-12-18 12:26

manager   ~0003333

Resolved by commit a15e16a5b7f391cf7ffee04cb16700f24ccbb215

Issue History

Date Modified Username Field Change
2014-05-10 15:26 dkxls New Issue
2014-05-10 15:30 dkxls Note Added: 0003051
2014-05-10 15:31 dkxls Note Edited: 0003051 View Revisions
2014-06-11 16:10 dkxls Tag Attached: Lagrangian
2014-12-18 10:41 dkxls Note Added: 0003331
2014-12-18 12:26 henry Note Added: 0003333
2014-12-18 12:26 henry Status new => resolved
2014-12-18 12:26 henry Resolution open => fixed
2014-12-18 12:26 henry Assigned To => henry